Foxit PDF RDK

Public Member Functions | List of all members
SchemaField Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| GetDisplayName ()
| Get the display name. More...
| GetKeyName ()
| Get the key name string. More...
| GetSubtypeName ()
| Get the subtype name string. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsVisible ()
| Check if current field is initially visible in application or not. More...
| SetDisplayName (display_name)
| Set the display name. More...
| SetKeyName (key_name)
| Set the key name string. More...
| SetSubtypeName (subtype_name)
| Set the subtype name string. More...
| SetVisibility (is_visible)
| Set the initial visibility of current field in application. More...

## Detailed Description

Schema field can be used to decide which information of a node is to be shown or hide in application.

## Member Function Documentation

## ◆ GetDisplayName()

SchemaField.GetDisplayName | ( |  | ) |

Get the display name.

Display name is used for displaying. This can be different from schema field's key name.

Returns
  Display name string.

## ◆ GetKeyName()

SchemaField.GetKeyName | ( |  | ) |

Get the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio.
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Returns
  Key name string.

## ◆ GetSubtypeName()

SchemaField.GetSubtypeName | ( |  | ) |

Get the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Returns
  Subtype name string.

## ◆ IsEmpty()

SchemaField.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

SchemaField.IsVisible | ( |  | ) |

Check if current field is initially visible in application or not.

Returns
  true means current field is initially visible in application, while false means current field is initially invisible in application.

## ◆ SetDisplayName()

SchemaField.SetDisplayName | ( | display_name |  | ) |

Set the display name.

Display name is used for displaying. This can be different from schema field's key name.

Parameters

  [in] | display_name | Display name string. This should not be an empty string.

Returns
  None.

## ◆ SetKeyName()

SchemaField.SetKeyName | ( | key_name |  | ) |

Set the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio.
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Parameters

  [in] | key_name | New key name string. This should not be an empty string.

Returns
  None.

## ◆ SetSubtypeName()

SchemaField.SetSubtypeName | ( | subtype_name |  | ) |

Set the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Parameters

  [in] | subtype_name | Subtype name string. This should not be an empty string. Please refer to "Details" part for more information.

Returns
  None.

## ◆ SetVisibility()

SchemaField.SetVisibility | ( | is_visible |  | ) |

Set the initial visibility of current field in application.

Parameters

  [in] | is_visible | true means current field is initially visible in application, while false means current field is initially invisible in application.

Returns
  None.